getdns_display_ip_address(3)

NAME
getdns_display_ip_address -- convert an getdns ip address to string

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> char *
getdns_display_ip_address (const getdns_bindata *ipv4_or_ipv6_addr)

DESCRIPTION

This helper function returns a nicely formatted string representation of the IPv4 or IPv6 address. The length of the bindata is used to determine whether the address is IPv4 or IPv6.

ipv4_or_ipv6_addr bindata of the address to print

RETURN VALUES
Returns a string representation of the IP address (allocated using the system allocator - malloc), the caller is responsible for freeing the storage using free().

EXAMPLES
TBD

SEE ALSO
libgetdns(3)